Index: dvblast.c
===================================================================
--- dvblast.c	(revision 20)
+++ dvblast.c	(working copy)
@@ -362,6 +362,7 @@
             b_hup_received = 0;
             msg_Warn( NULL, "HUP received, reloading" );
             ReadConfiguration( psz_conf_file );
+            demux_Hup();
         }
 
         demux_Run();
Index: dvblast.h
===================================================================
--- dvblast.h	(revision 20)
+++ dvblast.h	(working copy)
@@ -119,6 +119,7 @@
 
 void demux_Open( void );
 void demux_Run( void );
+void demux_Hup( void );
 void demux_Change( output_t *p_output, uint16_t i_sid,
                    uint16_t *pi_pids, int i_nb_pids );
 void demux_ResendCAPMTs( void );
Index: demux.c
===================================================================
--- demux.c	(revision 20)
+++ demux.c	(working copy)
@@ -136,6 +136,17 @@
 }
 
 /*****************************************************************************
+ * demux_Hup
+ *****************************************************************************/
+void demux_Hup( void )
+{
+    if( b_enable_epg )
+    {
+        p_sdt_dvbpsi_handle->b_discontinuity = 1;
+    }
+}
+
+/*****************************************************************************
  * demux_Run
  *****************************************************************************/
 void demux_Run( void )